Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data
Class SequenceEnumeration

    java.lang.Object
      de.jstacs.data.SequenceEnumeration

All Implemented Interfaces:
  RecyclableSequenceEnumerator, Enumeration<Sequence>

    public class SequenceEnumeration

extends Object
implements RecyclableSequenceEnumerator

This class implements a `RecyclableSequenceEnumerator` on user-specified `Sequence`s.

Author:
  Jens Keilwagen

Constructor Summary
`SequenceEnumeration(Collection<Sequence> sequences)` This constructor creates an instance based on the user-specified `Collection` of `Sequence`s `sequences`.
`SequenceEnumeration(Sequence... sequences)` This constructor creates an instance based on the user-specified `Sequence`s `sequences`.

Method Summary
`boolean` | `hasMoreElements()`
`Sequence` | `nextElement()`
`void` | `reset()` This method enables the user to reuse this enumerator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceEnumeration

    public SequenceEnumeration(Sequence... sequences)

  This constructor creates an instance based on the user-specified `Sequence`s `sequences`.

  Parameters:
    `sequences` - the user-specified `Sequence`s

### SequenceEnumeration

    public SequenceEnumeration(Collection<Sequence> sequences)

  This constructor creates an instance based on the user-specified `Collection` of `Sequence`s `sequences`.

  Parameters:
    `sequences` - the user-specified `Collection` of `Sequence`s

Method Detail

### reset

    public void reset()

  Description copied from interface: `RecyclableSequenceEnumerator`
  This method enables the user to reuse this enumerator.

  Specified by:
    `reset` in interface `RecyclableSequenceEnumerator`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<Sequence>`

### nextElement

    public Sequence nextElement()

  Specified by:
    `nextElement` in interface `Enumeration<Sequence>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD